Imports Microsoft.VisualBasic
Imports System.Data.SqlClient
Imports System.Configuration

Public Class clsControlTextList
    Inherits ArrayList

    Public Overloads ReadOnly Property Item(ByVal pID As Integer) As clsControlText
        Get
            Dim objText As clsControlText = Nothing
            For I As Integer = 0 To Count - 1
                If Me(I).ID = pID Then
                    objText = Me(I)
                    Exit For
                End If
            Next I
            Return objText
        End Get
    End Property

    Public Sub LoadAll()
        Dim objConn As SqlConnection = Nothing
        Dim objCmd As SqlCommand
        Dim objReader As SqlDataReader = Nothing

        Try
            objConn = New SqlConnection(ConfigurationManager.ConnectionStrings("CMSDatabase").ConnectionString)
            objConn.Open()

            objCmd = New SqlCommand("usp_ControlText_GetAll", objConn)
            objCmd.CommandType = Data.CommandType.StoredProcedure


            objReader = objCmd.ExecuteReader()

            Me.Clear()

            Do While objReader.Read
                Add(New clsControlText(objReader("ID"), objReader("Control").ToString(), objReader("TextValue").ToString()))
            Loop
        Catch ex As Exception
            Throw New Exception("clsControlTextList.LoadAll - " & ex.Message)
        Finally
            If Not objReader Is Nothing Then objReader.Close()
            If Not objConn Is Nothing Then objConn.Close()
        End Try
    End Sub
End Class
