<%@ Control Language="VB" AutoEventWireup="false" CodeFile="AdminManageEvents.ascx.vb" Inherits="Controls_AdminManageEvents" %>
Calendar Events Manage Tool<br />
        <br />
        <asp:GridView ID="gvEvents" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            PageSize="25" Width="696px">
            <Columns>
                <asp:BoundField DataField="Title" HeaderText="Event" />
                <asp:BoundField DataField="StartDate" HeaderText="Start Date" HtmlEncode="false" DataFormatString="{0:d}" />
                <asp:BoundField DataField="EndDate" HeaderText="End Date" HtmlEncode="false" DataFormatString="{0:d}" />
                <asp:BoundField DataField="RecurTypeStr" HeaderText="Schedule" />
                <asp:CommandField SelectText="Edit" ShowSelectButton="True" />
                <asp:CommandField ShowDeleteButton="True" />
            </Columns>
            <PagerStyle HorizontalAlign="Right" />
        </asp:GridView>
        <br />
        <asp:Button ID="butAdd" runat="server" Text="Add Event" /><br />
        <br />
        <asp:Panel ID="pnlEditEvent" runat="server" Visible="False">
            <table cellpadding="2" cellspacing="0" border="0" style="width: 672px">
                <tr>
                    <td>Title:</td>
                    <td>
                        <asp:TextBox ID="txtTitle" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtTitle"
                            ErrorMessage="* Required"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td valign="top">Description:</td>
                    <td>
                        <asp:TextBox ID="txtDescription" runat="server" Height="184px" Width="496px" TextMode="MultiLine"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtDescription"
                            ErrorMessage="* Required"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td valign="top">
                        Event occurs:</td>
                    <td>
                        <asp:DropDownList ID="ddlTypes" runat="server" Width="256px" AutoPostBack="True">
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td valign="top">
                        <asp:Label ID="lblDate" runat="server"></asp:Label></td>
                    <td>
                        <table cellpadding="2" border="0" cellspacing="0">
                            <tr>
                                <td><asp:Calendar ID="calStartDate" runat="server" SelectedDate="2007-11-01" VisibleDate="2007-11-01"></asp:Calendar></td>
                                <td runat="server" id="EndDateCellOne" valign="top">End Date</td>
                                <td runat="server" id="EndDateCellTwo"><asp:Calendar ID="calEndDate" runat="server" SelectedDate="2007-11-01" VisibleDate="2007-11-01">
                                        </asp:Calendar></td>
                            </tr>
                        </table>      
                    </td>
                </tr>
                <tr>
                    <td valign="middle" style="height: 28px">Start Time:</td>
                    <td style="height: 28px">
                        <asp:TextBox ID="txtStartTime" runat="server"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtStartTime" ErrorMessage="Invalid time (ex 1:34 PM)" ValidationExpression="^((1[0-2])|[1-9]):([0-5][0-9])\s+(AM|PM|am|pm)$"></asp:RegularExpressionValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtStartTime"
                            ErrorMessage="* Required"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td valign="middle">End Time:</td>
                    <td>
                        <asp:TextBox ID="txtEndTime" runat="server"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage="Invalid time (ex 1:34 PM)"
                           ControlToValidate="txtEndTime" ValidationExpression="^((1[0-2])|[1-9]):([0-5][0-9])\s+(AM|PM|am|pm)$"></asp:RegularExpressionValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtEndTime"
                            ErrorMessage="* Required"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td valign="middle">
                        Calendar:</td>
                    <td>
                        <asp:DropDownList ID="ddlCalendar" runat="server" Width="155px">
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td></td>
                    <td>
                        <asp:Button ID="butSave" runat="server" Text="Save" />&nbsp;
                        <asp:Button ID="butCancel" runat="server" Text="Cancel" CausesValidation="false" /></td>
                </tr>
            </table>
        </asp:Panel>    
                        <asp:Label ID="lblMessage" runat="server" Width="552px"></asp:Label>